TypeSizes.NativeDBTypeSizes (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class TypeSizes.NativeDBTypeSizes

- java.lang.Object
- - org.apache.cassandra.db.TypeSizes
  - - org.apache.cassandra.db.TypeSizes.NativeDBTypeSizes

- Enclosing class:
    TypeSizes

      public static class TypeSizes.NativeDBTypeSizes
      extends TypeSizes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.TypeSizes

      `TypeSizes.NativeDBTypeSizes, TypeSizes.VIntEncodedTypeSizes`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.TypeSizes

      `NATIVE, VINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeDBTypeSizes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `sizeof(boolean value)`
    `int` | `sizeof(int value)`
    `int` | `sizeof(long value)`
    `int` | `sizeof(short value)`
    `int` | `sizeof(java.util.UUID value)`

    - ### Methods inherited from class org.apache.cassandra.db.TypeSizes

      `encodedUTF8Length, sizeof, sizeofWithLength, sizeofWithShortLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeDBTypeSizes

          public NativeDBTypeSizes()

  - ### Method Detail

    - #### sizeof

          public int sizeof(boolean value)

      Specified by:
        `sizeof` in class `TypeSizes`

    - #### sizeof

          public int sizeof(short value)

      Specified by:
        `sizeof` in class `TypeSizes`

    - #### sizeof

          public int sizeof(int value)

      Specified by:
        `sizeof` in class `TypeSizes`

    - #### sizeof

          public int sizeof(long value)

      Specified by:
        `sizeof` in class `TypeSizes`

    - #### sizeof

          public int sizeof(java.util.UUID value)

      Specified by:
        `sizeof` in class `TypeSizes`

Copyright © 2018 The Apache Software Foundation